# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [2.15.1](https://github.com/Tencent/Hippy/compare/2.15.0...2.15.1) (2022-10-26)


### Features

* **vue:** fix attribute selector & support deep selector ([87ce13e](https://github.com/Tencent/Hippy/commit/87ce13e80369a067b04af5b43371976a95fe75d6))


### Performance Improvements

* **vue:** refer native script source code to reduce number of loops ([#2571](https://github.com/Tencent/Hippy/issues/2571)) ([21900d0](https://github.com/Tencent/Hippy/commit/21900d0f0b494dc78ba33b4c1bae9934d587ecfd))





# [2.15.0](https://github.com/Tencent/Hippy/compare/2.14.7...2.15.0) (2022-10-14)


### Bug Fixes

* **vue:** fix web-renderer script ([34cc959](https://github.com/Tencent/Hippy/commit/34cc959065a482309ff5658a301f203f6dc786c6))
* **vue:** set id for root view to fix style missed ([2dc9db5](https://github.com/Tencent/Hippy/commit/2dc9db52177c948fd3a16db29d16402bb308c617))


### Features

* **vue:** add getElemCss scoped judgement ([e9ea3f8](https://github.com/Tencent/Hippy/commit/e9ea3f84164c82e51dcb9bea80d83e85cb05e13b))
* **vue:** perf first screen attributes node update ([dcd7459](https://github.com/Tencent/Hippy/commit/dcd74599427b7792b91cf6e9d5a2af4d953685fe))
* **vue:** support scoped & attribute selector ([772a698](https://github.com/Tencent/Hippy/commit/772a69895b8658e3509db3b03d246153fca5f93c))





## [2.14.7](https://github.com/Tencent/Hippy/compare/2.14.6...2.14.7) (2022-09-08)

**Note:** Version bump only for package @hippy/vue





## [2.14.6](https://github.com/Tencent/Hippy/compare/2.14.5...2.14.6) (2022-08-26)


### Features

* **vue:** support ScrollView & ListView scroll related event params ([9d77ec6](https://github.com/Tencent/Hippy/commit/9d77ec6c99c2354cfc273c3f9b085369324cd84b))





## [2.14.5](https://github.com/Tencent/Hippy/compare/2.14.4...2.14.5) (2022-08-23)


### Bug Fixes

* **vue:** fix regular expressions catastrophic backtracking ([510a587](https://github.com/Tencent/Hippy/commit/510a587cd646005041a80f3ff0f4bf36c5824b4e))


### Features

* **hippy-vue:** perf attribute update ([e5c181f](https://github.com/Tencent/Hippy/commit/e5c181fcb49d6cdb4edc4a962f561dfdba0c4711))





## [2.14.4](https://github.com/Tencent/Hippy/compare/2.14.3...2.14.4) (2022-08-10)


### Features

* **hippy-vue:** support once modifier ([58f4d10](https://github.com/Tencent/Hippy/commit/58f4d10ba04adfc150690b6c9201599b72ccc4df))





## [2.14.3](https://github.com/Tencent/Hippy/compare/2.14.2...2.14.3) (2022-08-03)


### Bug Fixes

* **vue:** fix static style not updated in some case ([830b557](https://github.com/Tencent/Hippy/commit/830b557c6e25e0807b5444ac0fe6944b0a72d348))





## [2.14.2](https://github.com/Tencent/Hippy/compare/2.14.1...2.14.2) (2022-08-01)


### Features

* **hippy-vue:** support breakStrategy ([d5309c2](https://github.com/Tencent/Hippy/commit/d5309c20c33988427318fed09adb98b12630ddfe))





## [2.14.1](https://github.com/Tencent/Hippy/compare/2.14.0...2.14.1) (2022-07-25)


### Bug Fixes

* **npm:** update got from vulnerable to safe version ([0987946](https://github.com/Tencent/Hippy/commit/0987946b2ea2b1ebca2222f2209e27cc4c2fe128))
* **npm:** update vulnerable npm packages ([a06bae2](https://github.com/Tencent/Hippy/commit/a06bae20f95a7e24716a303b611b5bb187b15ff3))


### Features

* **core:** add `isFocused` method for `TextInput` ([c84a566](https://github.com/Tencent/Hippy/commit/c84a5662e176212d9ef61c648b70efb089f92abb))
* **hippy-vue:** perf attribute & style update performance ([10945d7](https://github.com/Tencent/Hippy/commit/10945d7f3dec7112a46be44ae5602df07655652b))





# [2.14.0](https://github.com/Tencent/Hippy/compare/2.13.10...2.14.0) (2022-06-21)


### Bug Fixes

* **hippy-vue:** update hippy-vue node test ([14d2242](https://github.com/Tencent/Hippy/commit/14d224258dd99ecef14bdda0ccc6ed1b7945a4ad))


### Features

* **hippy-vue:** merge vue updating attriute operation ([ac36f8f](https://github.com/Tencent/Hippy/commit/ac36f8f877fc50d6fc265856746f553ee5a5a9a7))
* **hippy-vue:** rm compatible process for endReached & loadMore event ([d320eb1](https://github.com/Tencent/Hippy/commit/d320eb1cf113bc0151af71c601e74aca610592bc))
* **hippy-vue:** support to remove event & merge alias event registered ([b34d7ef](https://github.com/Tencent/Hippy/commit/b34d7efdcef876b41de79108058ae71512407be8))
* **react:** change updateNode to batch operation & perf event binding ([fdae46a](https://github.com/Tencent/Hippy/commit/fdae46aed86a7f2d2034645c6912e372a5d1b4e5))





## [2.13.10](https://github.com/Tencent/Hippy/compare/2.13.9...2.13.10) (2022-05-25)

**Note:** Version bump only for package @hippy/vue





## [2.13.9](https://github.com/Tencent/Hippy/compare/2.13.8...2.13.9) (2022-05-16)

**Note:** Version bump only for package @hippy/vue





## [2.13.8](https://github.com/Tencent/Hippy/compare/2.13.7...2.13.8) (2022-05-12)

**Note:** Version bump only for package @hippy/vue





## [2.13.7](https://github.com/Tencent/Hippy/compare/2.13.6...2.13.7) (2022-04-27)


### Bug Fixes

* **hippy-vue:** fixed vue text update filter ([c127669](https://github.com/Tencent/Hippy/commit/c127669b7695ddd4dc29e4b12a81ac42d9fe3060))


### Features

* **devtools:** support vue-devtools ([e0cf765](https://github.com/Tencent/Hippy/commit/e0cf7654f4a95d4342aaeaca8bffa590ce9e2852))





## [2.13.6](https://github.com/Tencent/Hippy/compare/2.13.5...2.13.6) (2022-04-18)

**Note:** Version bump only for package @hippy/vue





## [2.13.5](https://github.com/Tencent/Hippy/compare/2.13.4...2.13.5) (2022-04-01)

**Note:** Version bump only for package @hippy/vue





## [2.13.4](https://github.com/Tencent/Hippy/compare/2.13.3...2.13.4) (2022-03-29)


### Bug Fixes

* **react,vue:** add TextInput color parser ([f9f0e2b](https://github.com/Tencent/Hippy/commit/f9f0e2b9637efc1fa82db293bbeeb3124df0eb61))
* **vue:** update vulerable packages ([3e15f5c](https://github.com/Tencent/Hippy/commit/3e15f5c26ff9b7d875791a3cac4520ba22d99524))





## [2.13.3](https://github.com/Tencent/Hippy/compare/2.13.2...2.13.3) (2022-03-09)

**Note:** Version bump only for package @hippy/vue





## [2.13.2](https://github.com/Tencent/Hippy/compare/2.13.1...2.13.2) (2022-03-08)

**Note:** Version bump only for package @hippy/vue





## [2.13.1](https://github.com/Tencent/Hippy/compare/2.13.0...2.13.1) (2022-02-27)


### Features

* **android:** view adds touch ripple feature ([#989](https://github.com/Tencent/Hippy/issues/989)) ([5518ffb](https://github.com/Tencent/Hippy/commit/5518ffb68a3348697d9a5586486c43a6ef376793))





# [2.13.0](https://github.com/Tencent/Hippy/compare/2.12.2...2.13.0) (2022-02-09)


### Bug Fixes

* **js:** update ts version and ts declaration issues ([2df21c5](https://github.com/Tencent/Hippy/commit/2df21c55aef2e4369175abfc8bd40d861481a847))


### Features

* **react,vue:** perf startBatch ([5bce8e9](https://github.com/Tencent/Hippy/commit/5bce8e9dedf1b5fd495216792f5f4b7f422671b5))





## [2.12.2](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.12.1...2.12.2) (2022-01-26)

**Note:** Version bump only for package @hippy/vue





## [2.12.1](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.12.0...2.12.1) (2022-01-18)

**Note:** Version bump only for package @hippy/vue





# [2.12.0](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.11.6...2.12.0) (2022-01-04)


### Bug Fixes

* **build script:** fix debug-server build script ([bee4513](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/bee45135acd59c6a4b462d80b3428e43985c6edd))
* **hippy-vue:** websocket $on event could not receive ([6ad478e](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/6ad478e360388a749069c223262c15bdfe04cb2f))


### Features

* **hippy-react:** add bind_event boolean value ([bc32a94](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/bc32a948acce814e6f34c8a34f811744a5080ad0))
* **vue, react, debug-server, vue-loader, vue-css-loader:** support HMR ([ff9f763](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/ff9f763a4578d41a4ff657a577ced7f3675ba8e3))





## [2.11.6](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.11.5...2.11.6) (2021-12-23)

**Note:** Version bump only for package @hippy/vue





## [2.11.5](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.11.4...2.11.5) (2021-12-15)

**Note:** Version bump only for package @hippy/vue





## [2.11.4](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.11.3...2.11.4) (2021-12-10)

**Note:** Version bump only for package @hippy/vue





## [2.11.3](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.11.2...2.11.3) (2021-12-08)

**Note:** Version bump only for package @hippy/vue





## [2.11.2](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.11.1...2.11.2) (2021-12-06)


### Bug Fixes

* **react,vue:** fixed timeRemaining judge ([8dd993f](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/8dd993f16d83be509019b2d890ed6a9d3095462e))


### Features

* **react,vue:** add js node cache to improve event performance ([b72e42c](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/b72e42ca1419891019f937942d45c9a26f9c92e2))
* **react,vue:** perf node traversing process ([8102057](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/8102057db4743989fc996ec7455226f08b58c81b))





## [2.11.1](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.11.0...2.11.1) (2021-11-24)

**Note:** Version bump only for package @hippy/vue





# [2.11.0](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.10.3...2.11.0) (2021-11-18)


### Bug Fixes

* **hippy-vue:** fixed measureInAppWindow issue ([57a2523](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/57a252364d161d3c22a2089ba809dd45d625fa08))


### Features

* **react,vue:** improve managing node performance ([8b35ba6](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/8b35ba6bdbe4bfaf2f3ac866ed05ebfed2df3d8e))
* **vue:** add vue jsi ([368874d](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/368874dda6d3ef6ba7c65d693b0722132edb6aee))





## [2.10.3](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.10.2...2.10.3) (2021-11-16)


### Bug Fixes

* **hippy-vue:** remove vue other attributes converted to number ([8ce311a](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/8ce311a175ea1616168e3621e1c43a3eef9a1b30))





## [2.10.2](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.10.1...2.10.2) (2021-11-02)

**Note:** Version bump only for package @hippy/vue





## [2.10.1](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.10.0...2.10.1) (2021-10-27)


### Features

* **hippy-vue:** add getElemCss function ([32101dc](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/32101dcad1bce6bde43f4253d4e0f785ce114d35))





# [2.10.0](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.9.2...2.10.0) (2021-10-12)


### Features

* **core:** seperate console & ConsoleModule ([dd9d80a](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/dd9d80a4e5bdf9048bf61f31866c59266e1aeaf6))
* **hippy-vue,hippy-react:** add text shadow ([a891690](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/a8916904cca88f09bdee55511dce670bf09571fa))





## [2.9.2](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.9.1...2.9.2) (2021-10-12)


### Bug Fixes

* **hippy-vue:** update ava package to safe ver ([e9752b4](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/e9752b494c66a49938575fd32e9f9234ef643d1f))





## [2.9.1](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.9.0...2.9.1) (2021-09-24)

**Note:** Version bump only for package @hippy/vue





# [2.9.0](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.8.4...2.9.0) (2021-09-10)


### Bug Fixes

* **hippy-react:** add callUIFunction default options ([24c3d9c](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/24c3d9c7732c558251d99eb77725b03a3c951373))


### Features

* **ios:** enable swipe to delete in UITableView ([#935](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/issues/935)) ([ebcf138](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/ebcf138c7167e4b4a42244ec00a2c28390af695b))
* **react,vue,ios,android:** add waterfall component for hippy ([#933](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/issues/933)) ([909cf79](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/909cf793af5fb70f54f001a2ddb1c43702ca2352)), closes [#1](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/issues/1)





## [2.8.4](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.8.3...2.8.4) (2021-08-13)

**Note:** Version bump only for package @hippy/vue





## [2.8.3](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.8.2...2.8.3) (2021-08-12)

**Note:** Version bump only for package @hippy/vue





## [2.8.2](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.8.1...2.8.2) (2021-08-09)

**Note:** Version bump only for package @hippy/vue





## [2.8.1](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.8.0...2.8.1) (2021-08-09)


### Bug Fixes

* **react,vue:** fix rgb format for linear-gradient parser ([1ae803c](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/1ae803c9aa7eb77601d7f995b73c451e0a6971bc))





# [2.8.0](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.7.6...2.8.0) (2021-08-04)


### Features

* **android,react,vue:** support RTL layout ([#893](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/issues/893)) ([149ec04](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/149ec0458e82676d16c0728a6feba486bfb2aace))
* **hippy-react,hippy-vue:** add linear-gradient ([02b5b82](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/02b5b8256995a5fa6a70fcfd0f67ed1c383569ae))





## [2.7.6](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.7.5...2.7.6) (2021-07-22)


### Bug Fixes

* **hippy-vue:** add onScrollBeginDrag & onScrollEndDrag param ([bc27f40](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/bc27f40eede5ab20ab2b43380ca288777c5397c4))


### Features

* **hippy-vue:** add nativeNode attributes info for debugging ([#869](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/issues/869)) ([28a9a58](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/28a9a58899106539cbbce48a195f8b3b230d54a3))





## [2.7.5](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.7.4...2.7.5) (2021-07-16)

**Note:** Version bump only for package @hippy/vue





## [2.7.4](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.7.3...2.7.4) (2021-07-08)

**Note:** Version bump only for package @hippy/vue





## [2.7.3](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.7.2...2.7.3) (2021-07-08)

**Note:** Version bump only for package @hippy/vue





## [2.7.2](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.7.1...2.7.2) (2021-06-18)

**Note:** Version bump only for package @hippy/vue





## [2.7.1](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.7.0...2.7.1) (2021-06-10)


### Bug Fixes

* **hippy-vue:** update package to safe version ([0cb5d94](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/0cb5d944788eac1b576a36366fcdbada991dd80d))





# [2.7.0](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.6.4...2.7.0) (2021-06-07)


### Bug Fixes

* **hippy-vue,hippy-react:** add task polyfill for batch render ([7cdf026](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/7cdf026e345a187202a0f7ae91171c2804cb4562))


### Features

* **hippy-vue:** add some native modules ([e960c01](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/e960c01d98aa09db5ea443b14c16e427d7023fcd))





## [2.6.4](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.6.3...2.6.4) (2021-05-19)

**Note:** Version bump only for package @hippy/vue





## [2.6.3](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.6.2...2.6.3) (2021-05-17)


### Features

* **hippy-vue:** add local path support for placeholder & bgImg ([f0c56e6](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/f0c56e61e22bb14ec6b0f100c03b93ec8491fae5))





## [2.6.2](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.6.1...2.6.2) (2021-04-26)


### Bug Fixes

* **hippy-vue:** fix registerElement elem name and comp name problem ([abec3bd](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/abec3bdef337bf2b238fd7fef4159194a313abba))


### Features

* **hippy-vue:** add txt/span/img/a/label/p touch event ([391bafd](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/391bafd21f2a0fd0c0f8ec3c514fed8f08a2f531))





## [2.6.1](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.6.0...2.6.1) (2021-04-22)


### Features

* **hippy-react,hippy-vue:** support to load local img ([4331fd5](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/4331fd5c3a0ae0ae6700973e3399d520cf3d1d00))





# [2.6.0](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.5.5...2.6.0) (2021-04-19)


### Bug Fixes

* **hippy-vue:** fix measureInWindowByMethod return value ([f5ca629](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/f5ca6294227330db7855305ac61a09928f06fd40))
* **hippy-vue:** update y18n to safe ver ([9708117](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/9708117a459345893f433a11a0f214be56443a09))





## [2.5.5](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.5.4...2.5.5) (2021-03-26)

**Note:** Version bump only for package @hippy/vue





## [2.5.4](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.5.3...2.5.4) (2021-03-17)

**Note:** Version bump only for package @hippy/vue





## [2.5.3](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.5.2...2.5.3) (2021-03-10)

**Note:** Version bump only for package @hippy/vue





## [2.5.2](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.5.1...2.5.2) (2021-03-08)


### Features

* **hippy-vue:** add animation event & method ([4018df8](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/4018df8d8873e5830182b7d567e837c9bc5a0ef1))





## [2.5.1](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.5.0...2.5.1) (2021-03-02)

**Note:** Version bump only for package @hippy/vue





# [2.5.0](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.4.0...2.5.0) (2021-02-25)

**Note:** Version bump only for package @hippy/vue





# [2.4.0](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.3.4...2.4.0) (2021-02-25)

**Note:** Version bump only for package @hippy/vue





## [2.3.4](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.3.3...2.3.4) (2021-01-25)


### Features

* **hippy-core:** add navigatorBarHeight ([71b5470](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/71b5470475d71564275001f67600218d0569348b))





## [2.3.3](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.3.2...2.3.3) (2021-01-20)

**Note:** Version bump only for package @hippy/vue





## [2.3.2](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.3.1...2.3.2) (2021-01-18)


### Features

* **hippy-react:** added demo key ([bd2201b](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/bd2201b525c33642a67f11b9cd4e95c0c51159bc))





## [2.3.1](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.3.0...2.3.1) (2021-01-13)

**Note:** Version bump only for package @hippy/vue





# [2.3.0](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.2.2...2.3.0) (2021-01-11)


### Bug Fixes

* **hippy-vue,hippy-react:** fixed listview appear & disappear event ([86c02fd](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/86c02fde0e47ff8862e92a4892c768da78a63674))


### Features

* **hippy-vue,hippy-react:** added willAppear & willDisappear event ([d0eb0f1](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/d0eb0f1aac4a13886fed6682ac08e2c082bd8448))





## [2.2.2](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.2.1...2.2.2) (2021-01-04)


### Bug Fixes

* **hippy-vue:** fix css rulesets concat error ([d0c900c](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/d0c900c44be8c7759db8539a3c57be845471d227))





## [2.2.1](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.2.0...2.2.1) (2020-12-28)

**Note:** Version bump only for package @hippy/vue





# [2.2.0](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.1.6...2.2.0) (2020-12-25)

**Note:** Version bump only for package @hippy/vue





## [2.1.6](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.1.5...2.1.6) (2020-12-23)


### Bug Fixes

* **hippy-vue,hippy-react:** compatible loadMore and endReached event ([#429](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/issues/429)) ([d992cbe](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/d992cbefbd9a0f76bee70bf604df7d377a08e97c))


### Features

* **hippy-react:** added hippy-react boxShadow attr and demo ([#458](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/issues/458)) ([6fd6a34](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/6fd6a342f7c0b7b6aa742eeee5c585e9e5a1d31b))
* **hippy-vue:** vue css selectors support dynamic import ([#440](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/issues/440)) ([3baa571](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/3baa57105df8f4e7a46d52d4334a88ee921c388d))





## [2.1.5](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.1.4...2.1.5) (2020-12-10)

**Note:** Version bump only for package @hippy/vue





## [2.1.4](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.1.3...2.1.4) (2020-12-03)


### Features

* **hippy-vue,hippy-react:** added setNativeProps on element ([#430](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/issues/430)) ([d1f7e21](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/d1f7e216b5fef46ace0cf50803ad2940b429a0d6))
* **hippy-vue,hippy-react:** perf setNativeProps ([5cd1291](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/5cd12910262ad3bb15d07c2dc974a829958a2b86))





## [2.1.2](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.1.1...2.1.2) (2020-11-23)


### Features

* **hippy-vue:** added iOS12 statusBarHeight ([d33e993](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/d33e993b72b3627e3fd73e5f5e08d8c34d4ee23d))
* **hippy-vue, hippy-react:** changeTryConvertNumberCompatibility ([714faaf](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/714faaf11988659b450a3276342597b7ed095a17))





## [2.1.1](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.1.0...2.1.1) (2020-11-11)


### Bug Fixes

* **hippy-vue:** fixed focus event support for div ([#387](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/issues/387)) ([21d8b58](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/21d8b58946f546bc2313c163818f525b0da8ef9a))
* **hippy-vue:** fixed tryConvertNumber bug & some compatible issue ([ba8836d](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/ba8836d9b3c3461f013d325c0e86c84233e3ede6))





# [2.1.0](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.0.3...2.1.0) (2020-10-29)


### Bug Fixes

* **hippy-vue:** fix hippy-vue transform multi-animation not working ([84bd58b](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/84bd58be840ea3f5ddd9d387e92b5a084387e9d1))
* **vue:** fixed remove style issue ([#329](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/issues/329)) ([33f2f7d](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/33f2f7d3a1518e70471a060b930b3372d6b49c99))


### Features

* **hippy-vue:** add new method measureInAppWindow ([e6348a2](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/e6348a2fa31ea61fcfda66151c15830871f47ab6))
* **hippy-vue:** added the callback execution before $mount in $start ([1a1cc3f](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/1a1cc3fb5ee92a3dd704765bc628530f9f146c8b))
* **hippy-vue:** box-shadow style support ([0604461](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/06044610f85f891d52d28439b3a48554c8db6487))
* **hippy-vue:** export parseColor api for HippyVue ([a354c94](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/a354c94ede4542bb9111c030e088a70f617ca0c7))





## [2.0.3](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.0.2...2.0.3) (2020-04-23)


### Features

* **hippy-vue:** make beforeStyleLoad hooks applied in runtime ([2fc49cf](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/2fc49cf819c32038b780569a8d278a865e438703))





## [2.0.2](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/compare/2.0.1...2.0.2) (2020-03-18)

### Bug Fixes

* **hippy-vue:** add TypeSelector test ([38f08ef](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/38f08ef4180fa08781492ea80f3dcfbc3ad37036))
* **hippy-vue:** fix css selectors TypeSelector match ([de98e8a](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/de98e8a560ee771d4f10fcbd3642afccfc92e70e))
* **hippy-vue:** fix wrong preSibling of childNode's nexSibling ([6e76d5e](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/6e76d5e1ead0a1d359ab0ec3d25d94c2ffed792b))
* **hippy-vue:** fixed css selectors TypeSelector match ([adddcea](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/adddcea319c816d49deed0b2893e6ee82c203648))
* **vue:** setStyle px unit determine ([8379d53](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/8379d53e4b275dda8243b1869eded475a0113373))

### Features

* **vue:** added disabled props to input tag ([47facd4](https://github.com/Tencent/Hippy/tree/master/packages/hippy-vue/commit/47facd4584b1361a760fd62162b0d4f9384ee673))

## 2.0.1 (2020-01-22)

### Added

* Added `disableBuiltinElements` options.
* Remove childNode if exist when append childNodes - thx @mandydyluo

### Change

* Rename to @hippy/vue.

## 2.0.0 (2019-12-18)

### Change

* Removed the npm namespace prefix '@tencent', restore to version 2.0.0, and make it public.

## 2.0.0 (2019-11-21)

### Changed

* Nothing different with beta.4 but released.

## 2.0.0-beta.4 (2019-10-22)

### Added

* Added hippy-core compatible

### Changed

* Improved the log system.

## 1.3.3 (2019-09-20)

### Added

* Added inline length unit convert at runtime.
* Added H5 touch events compatible, and make old touch events deprecated.

### Fixed

* Fixed length value in `<style>` that supports number.

## 1.3.2 (2019-09-05)

### Added

* Added caret-color convert from style and attribute - thx @cyndizhang report the issue
* Added typescript declaration files - thx @weijiezhu

### Fixed

* Fixed font-weight inline style must be string - thx @luckyzeng

## 1.3.1 (2019-08-27)

### Changed

* Optimized list rendering with merge li render request - thx @luckyzeng

## 1.3.0 (2019-08-12)

### Added

* Make loadInstance be able to trigger multiple times.
* Added translate color at runtime
* Added clean method for `<input>`
* Make Vue.$Document for Document class, and Vue.$Event for Event class.

### Changed

* Make 3rd argument to duration for scrollTo method of ScrollView
* Clean up the styles AST from global after loaded.
* Moved onScroll event processor from dispatcher to built-in.

### Fixed

* Fixed Vue.Native.statusBarHeight calculate issue.
* Make onKeyboardWillShow event be dp unit in Android.

## 1.2.17 (2019-07-08)

### Fixed

* Fixed image src tag specific for iOS issue.

## 1.2.16 (2019-07-05)

### Added

* Added setValue method to input/textarea.
* Added placeholder option to image.

### Fixed

* Fixed Native.measureInWindow meets iOS returns undefined issue.
* Fixed image source specific for platforms.

### Changed

* changed scrollTo option needAnimation to duration 

## 1.2.15 (2019-06-19)

### Added

* Added Vue.Native.Clipboard module support.
* Added callback support for Vue.Native.callUIFunction.
* Added getValue() method for `input` and `textarea`.

### Changed

* Native.screen.statusBarHeight for Android, change unit to dp.
* Changed Vue.Native.isIPhoneX to determine with statusBarHeight.
* Splitted elements to input/list element node.
* Added symbol to built-in elements for better compare performance.

### Fixed

* Fixed ul resort order issue - thx @justinzyang

## 1.2.14 (2019-06-06)

### Added

* Added startRefresh and refreshComplected methods for ul-refresh

### Fixed

* Fixed v-model meets onContentSizeChange binding issue
* Fixed &nbsp; replacement to all of string
* Try to convert to number in setStyle
* Prevent infinite loop caused by class name like .aa_bb.aa

## 1.2.13 (2019-05-20)

### Chagne

* Ignore throw error when app is not initialized.
* Updated iPhone X determine method for Vue.Native.isIPhoneX.

## 1.2.12 (2019-05-07)

### Fixed

* Fixed same size class compare by setsAreEqual() issue. - Thanks @mandydyluo
* Fixed children style updating when parent id/class changed. - Thanks @mandydyluo's PR.

## 1.2.11 (2019-04-25)

### Added

* TextInput added onContentSizeChange event handler

## 1.2.10 (2019-04-12)

### Added

* Added iframe component mapping to WebView.
* Added liLastFlag props for ul to batch updating li.

### Changed

* updateNode is excluding child.
* Update style when value changed only.

## 1.2.9 (2019-04-08)

### Changed

* Changed Vue.Native.Cookie.set() key/value argument to keyValue for set multiple values.

## 1.2.8 (2019-04-08)

### Added

* Added Cookie interface to Vue.Native, with getAll/set methods

## 1.2.7 (2019-04-02)

### Changed

* Updated to latest Vue 2.6.10.
* Downgrade ava to 1.3.1 and esm to 3.2.10 for unit testing.

### Fixed

* Fixed v-model binding for `<input>` specific for iOS.

## 1.2.6 (2019-03-22)

### Changed

* Makes numberOfRows of ul will not trigger updateNode except iOS.

## 1.2.5 (2019-03-20)

### Added

* Added Device, OSVersion, APILevel fields to Vue.Native.

## 1.2.4 (2019-03-06)

### Changed

* Improved input type checking and removed default keyboardType props for input element.

## 1.2.3 (2019-03-05)

### Fixed

* 1.2.2 forget to build issue. T_T

## 1.2.2 (2019-03-05)

### Added

* Added text and search input type mapping.

### Fixed

* Fixed input/textarea content update by state issue

## 1.2.1 (2019-02-22)

### Changed

* Matched Android scrollEventThrottle changes - /hippy/Android/commit/5aec89aef917564c448db1cc86a64f90b65741c4
* Updated Vue dependency to latest 2.6.7.

## 1.2.0 (2018-12-20)

### Changed

* Updated to latest dependencies such as Vue 2.5.21 and Hippy 1.0.1.
* Added error prompt when native event trigger while app not initialized.

## 1.1.13 (2018-12-07)

### Added

* Added select event handler for TextInput.
* Added focus() and blur() to TextInput.

### Changed

* Change the TextInput appearance be the same between iOS and Android.

## 1.1.12 (2018-12-04)

### Added

* Added Vue.Native.OnePixel property to get 1 pixel size.
* Added Vue.Native.version to get the hippy-vue version number in runtime.

### Changed

* Revert `Change the log output for lower level info.` patch, it makes Vue.registerElement('TAG_NAME') got RangeError.

## 1.1.11 (2018-11-30)

### Added

* Added swiper/swiper-slide(ViewPager/ViewPagerItem) component.
* Integrated the source code from hippy-vue-router, and supported the back button of Android.
* Added css loader hook for process styles from global.

### Changed

* Change the log output for lower level info.
* Optimized the render timing.
* Added isFunction() and refined all of function determine.
* Make event name translation be able define in component meta.
* Make the scrollTo() for ListView/ScrollView to fit the [standard](https://developer.mozilla.org/en-US/docs/Web/API/Element/scrollTo).
* Dropped first argument registerElement() must be lowercase limitation.
* Removed customized template compiler, use the compiler that Vue built-in.
* Add the CSS property name map for translation.

### Fixed

* Fixed <keep-alive> for TextInput.

## 1.1.10 (2018-11-17)

### Added

* Added unit test in CI.
* Added listReady and touchStart event convert.
* Added AUTHORS doc.
* Released hippy-vue-css-loader 1.0.3.

### Fixed

* Fixed float value of size unit in CSS.
* Fixed transform property convert for iOS.
* Fixed CSS updateStyle() meets zero value issue.

### Changed

* Dropped color convert from cli.

## 1.1.9 (2018-11-15)

### Added

* Added hippy-vue-native-components 1.0.0-beta.2 package, including animation ul-refresh, dialog native components.
* Added callNativeWithCallbackId in Vue.Native for animation calling.
* Added a npm script for color convert.
* Added touch event handlers.

### Changed

* Element.setStyle() will apply to native now, but **NOT RECOMMEND TO USE** because it's execute too often.

### Fixed

* Added multiline props to fix input type="password" behavior in iOS.
* Fixed callUIFunction in iOS require real component name issue.

## 1.1.8 (2018-11-03)

### Fixed

* Fixed unicode convert string value for placeholder, defaultValue and value props.
* Initial fixed CSS compiler comment issue.
* Initial fixed RegExp without sticky flag when Style Matcher initializing.

## 1.1.7 (2018-10-26)

### Added

* Static resources loading support.
* Makes Element.scrollToPosition works with ScrollView.
* Added CSSOM View standard Element.scrollTo method with Element.scrollToPosition.
* Added clean npm script with rimraf for clean the built files.

### Changed

* [BREAK CHANGES]: iPhoneXStatusBar startup property was changed to iPhone.statusBar property.

### Fixed

* Refined Vue.Native to make sure it's working on lower version of iOS.
* Fixed Vue.Native.measureInWindow method no response when component out of screen.
* Fixed transparent color support.
* [BREAK CHANGES]: Swap the stupid overflow-x/y css property for ScrollView.

## 1.1.6 (2018-10-11)

### Added

* Added safe area padding for iPhone X with simple Vue options.
* Added Element.getBoundingClientRect() method for get the size and position of element.
* Added onLayout event handler.

## 1.1.5 (2018-10-10)

### Added

* div now support ScrollView with overflowX: scroll or overflowY: scroll.
* Orange CI integration -- Thx @youkunhuang.
* onScroll event handler for ListView/ScrollView, added offsetX/offsetY property for event to handler the position.

### Fixed

* Fixed registerElement issues with default component properties.

## 1.1.4 (2018-10-09)

### Added

* Added $start callback argument for post processing after register.

### Changed

* Fixed the eslint issues checked by CodeCC.

## 1.1.3 (2018-09-20)

### Added

* CSS loader stripped background-image url() wrapper.
* All of hippy-base exported modules be in Vue.Native.

### Changed

* defaultNativeProps in meta could be a function.

### Fixed

* iOS text node be a number caused crash issue.
* Event name without `on` prefix issue

## 1.1.2 (2018-08-31)

### Added

* Added Vue.Native property to handler the native properties.
* Added &nbsp; replace with space.

## 1.1.1 (2018-08-31)

### Added

* Added a tag to support hippy-vue-router.

## 1.0.0 (2018-08-29)

### Added

* Added v-if/v-else/v-show directives support.
* Fill more unit testing, coverage up to 82%.

### Changed

* Added arrayCount for count elements in array by iterator.

## 1.0.0-beta.7 (2018-08-27)

### Fixed

* Fixed iOS compatible issues.

## 1.0.0-beta.6 (2018-08-23)

### Fixed

* Fixed unicodeToChar meets 2 bytes unicode issue -- thanks erikqin(秦睦迪) found the issue

### Added

* v-model support
